@use "../../../styles/colors-fonts" as cf;

.feature {
  padding: 8rem 0;
}

.image-wrapper {
  position: relative;
}

.image-interactive {
  width: 60%;
  display: block;
}

.text-wrapper {
  position: absolute;
  left: 47%;
  bottom: 0;
  background-color: cf.$primary-light;
  padding: 5.4rem 0 0.1rem 6.8rem;
}

.heading {
  @include cf.josefin-font;
  font-size: 2.6rem;
  text-transform: uppercase;
  margin-bottom: 1.2rem;
}

.subheading {
  color: cf.$primary-lightgray;
  line-height: 1.8;
}

@media (max-width: 900px) {
  .feature {
    padding: 7rem 0 4.2rem;
  }
  .image-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-inline: auto;
  }
  .text-wrapper {
    position: static;
    padding: 3.6rem 6.4rem 0;
    text-align: center;
  }
  .heading {
    font-size: 2.2rem;
  }
}

@media (max-width: 600px) {
  .image-interactive {
    width: 100%;
  }
  .text-wrapper {
    padding: 3.6rem 1.2rem 0;
  }
}
